package sun.awt.im;

import java.awt.AWTEvent;

public abstract class InputMethod {
   protected InputMethodContext inputContext;

   protected InputMethod() {
   }

   public void setInputContext(InputMethodContext var1) {
      this.inputContext = var1;
   }

   public abstract void dispatchEvent(AWTEvent var1);

   public abstract void activate();

   public abstract void deactivate();

   public abstract void endComposition();

   public abstract void dispose();
}
