package sun.awt.windows;

import java.awt.Button;
import java.awt.Dimension;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.peer.ButtonPeer;

class WButtonPeer extends WComponentPeer implements ButtonPeer {
   public Dimension getMinimumSize() {
      FontMetrics var1 = ((WComponentPeer)this).getFontMetrics(((Button)super.target).getFont());
      return new Dimension(var1.stringWidth(((Button)super.target).getLabel()) + 14, var1.getHeight() + 8);
   }

   public boolean isFocusTraversable() {
      return true;
   }

   public native void setLabel(String var1);

   void clearRectBeforePaint(Graphics var1, Rectangle var2) {
   }

   WButtonPeer(Button var1) {
      super(var1);
   }

   native void create(WComponentPeer var1);

   public void handleAction() {
      WToolkit.postEvent(new ActionEvent(super.target, 1001, ((Button)super.target).getActionCommand()));
   }

   public Dimension minimumSize() {
      return this.getMinimumSize();
   }
}
